This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 989361 - python-flask requires python-sphinx at runtime for no reason
python-flask requires python-sphinx at runtime for no reason
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-flask (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 02:58 EDT by Dan Callaghan
Modified: 2014-03-15 15:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-flask-0.9-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-29 21:52:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-07-29 02:58:16 EDT
Description of problem:
The python-flask package unnecessarily Requires python-sphinx.

Version-Release number of selected component (if applicable):
1:python-flask-0.9-5.fc18.noarch and all other versions

Steps to Reproduce:
1. yum install python-flask
2.
3.

Actual results:
Brings in python-sphinx and its dependency chain.

Expected results:
Doesn't require python-sphinx.

Additional info:
Looks like just a mistake in the spec, Sphinx is required to build docs but is not required at runtime (so it should be a BuildRequires but not a Requires).
Comment 1 Fedora Update System 2013-07-29 03:23:50 EDT
python-flask-0.9-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-0.9-7.fc19
Comment 2 Fedora Update System 2013-07-30 13:53:01 EDT
Package python-flask-0.9-7.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-flask-0.9-7.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13913/python-flask-0.9-7.fc19
then log in and leave karma (feedback).
Comment 3 Fedora End Of Life 2013-09-16 13:09:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Fedora Update System 2013-10-29 21:52:29 EDT
python-flask-0.9-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-02-26 22:30:28 EST
python-flask-0.9-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-0.9-7.el6
Comment 6 Ricky Elrod 2014-02-26 22:32:33 EST
*** Bug 1070520 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2014-03-15 15:51:07 EDT
python-flask-0.9-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.